/*
* Kendo UI v2015.2.624 (http://www.telerik.com/kendo-ui)
* Copyright 2015 Telerik AD. All rights reserved.
*
* Kendo UI commercial licenses may be obtained at
* http://www.telerik.com/purchase/license-agreement/kendo-ui-complete
* If you do not own a commercial license, this file shall be governed by the trial license terms.
*/
/* Kendo RTL CSS */

.k-rtl { direction: rtl; }

/* AutoComplete */

.k-rtl .k-autocomplete .k-loading,
.k-rtl .k-multiselect .k-loading {
    left: 3px;
    right: auto;
}

/* Buttons */

.k-rtl .k-button-icontext .k-icon,
.k-rtl .k-button-icontext .k-image {
    margin-left: .2rem;
    margin-right: -.2rem;
}

/* TextBoxes, Pickers, Combos */

.k-rtl .k-dropdown-wrap,
.k-rtl .k-picker-wrap,
.k-rtl .k-numeric-wrap {
    padding-left: 1.9em;
    padding-right: 0;
}

.k-rtl .k-numeric-wrap.k-expand-padding { padding-left: 0; }

.k-rtl .k-datetimepicker .k-picker-wrap {
    padding-left: 3.8em;
    padding-right: 0;
}

.k-rtl span.k-picker-wrap .k-select,
.k-rtl .k-numeric-wrap .k-select,
.k-rtl .k-dropdown-wrap .k-select {
    border-width: 0 1px 0 0;
    left: 0;
    right: auto;
}

.k-rtl .k-dropdown-wrap .k-input,
.k-rtl .k-picker-wrap .k-input,
.k-rtl .k-numeric-wrap .k-input {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 4px;
    border-top-left-radius: 0;
    border-top-right-radius: 4px;
}

.k-webkit .k-rtl .k-dropdown-wrap .k-input,
.k-webkit .k-rtl .k-numeric-wrap .k-input { margin-right: -1px; }

.k-rtl .k-datetimepicker .k-picker-wrap .k-icon { margin: 0 2px 0 0; }

.k-rtl.k-popup > .k-static-header {
    padding-left: 22px;
    text-align: left;
}

.k-rtl.k-popup .k-item > .k-group {
    left: 0;
    right: auto;
}

.k-rtl.k-popup .k-state-hover > .k-group {
    left: -1px;
    right: auto;
}

.k-rtl.k-popup > .k-group-header,
.k-rtl.k-popup > .k-virtual-wrap > .k-group-header { text-align: left; }

/* Calendar */

.k-rtl .k-widget.k-calendar .k-nav-prev {
    left: auto;
    right: 1%;
}

.k-rtl .k-widget.k-calendar .k-nav-next {
    left: 1%;
    right: auto;
}

/* Editor */

.k-rtl .k-form-text-row input {
    margin-left: 1em;
    margin-right: 0;
}

.k-rtl .k-form-checkbox-row input {
    margin-left: 0;
    margin-right: 7.5em;
}

.k-rtl .k-form-checkbox-row label {
    padding-left: 0;
    padding-right: 0.3em;
}

.k-rtl .k-breadcrumbs {
    float: right;
    padding-left: 2px;
    padding-right: 0;
}

.k-rtl .k-search-wrap { float: left; }

.k-rtl .k-search-wrap .k-search {
    left: 2px;
    right: auto;
}

.k-rtl .k-breadcrumbs-wrap {
    left: auto;
    padding-left: 0;
    padding-right: 5px;
    right: 0;
}

.k-rtl .k-editor-dialog .k-button-wrapper { text-align: left; }

.k-rtl .k-tiles-arrange { float: left; }

.k-rtl .k-toolbar-wrap,
.k-rtl .k-tile { float: right; }

.k-rtl .k-imagebrowser .k-thumb {
    float: right;
    margin: 4px 4px 0 10px;
}

.k-rtl .k-imagebrowser .k-state-hover .k-i-arrow-e,
.k-rtl .k-imagebrowser .k-button:hover .k-i-arrow-e { background-position: -16px -48px; }

.k-rtl .k-tile strong { float: right; }

/* Grid */

.k-rtl div.k-grid-header,
.k-rtl div.k-grid-footer {
    padding-left: 17px;
    padding-right: 0;
}

.k-rtl .k-grid-header-wrap,
.k-rtl .k-grid-footer-wrap { border-width: 0; }

.k-rtl .k-header > .k-grid-filter,
.k-rtl .k-header > .k-header-column-menu { float: left; }

.k-rtl .k-grid-header .k-filterable .k-link {
    padding-left: 2.4em;
    padding-right: .6em;
}

.k-rtl .k-grid-header .k-header:first-child,
.k-rtl .k-filter-row th:first-child,
.k-rtl .k-grid tbody td:first-child,
.k-rtl .k-grid tfoot td:first-child { border-left-width: 1px; }

.k-rtl div.k-grid td.k-hierarchy-cell { border-left-width: 0; }

.k-rtl .k-grid .k-group-cell + td,
.k-rtl .k-grid .k-hierarchy-cell + td { border-left-width: 1px; }

.k-rtl .k-grid-header .k-header { text-align: right; }

.k-rtl .k-scrollbar-vertical {
    left: 0;
    right: auto;
}

.k-rtl .k-group-footer .k-group-cell + td {
    border-left-width: 0;
    border-right-width: 1px;
}

.k-rtl .k-grid-header-locked,
.k-rtl .k-grid-content-locked { border-width: 0; }

.k-rtl .k-grid-header .k-with-icon .k-link {
    margin-left: 1.3em;
    margin-right: -0.6em;
}

.k-rtl .k-filtercell > span {
    padding-left: 4.8em;
    padding-right: 0;
}

.k-rtl .k-filtercell > .k-operator-hidden {
    padding-left: 2.3em;
    padding-right: 0;
}

.k-rtl .k-filtercell > span > .k-button {
    left: 0;
    right: auto;
}

.k-rtl .k-filter-row .k-dropdown-operator {
    left: 2.5em;
    right: auto;
}

/* Editing */

.k-rtl .k-edit-label,
.k-rtl .k-edit-form-container .editor-label {
    clear: both;
    float: right;
    margin-left: 0;
    margin-right: 2%;
    text-align: left;
}

.k-rtl .k-edit-field,
.k-rtl .k-edit-form-container .editor-field {
    clear: left;
    float: left;
    margin-left: 2%;
    margin-right: 0;
}

.k-rtl .k-edit-field > input[type="checkbox"]:first-child,
.k-rtl .k-edit-field > input[type="radio"]:first-child,
.k-rtl .k-edit-field > label:first-child > input[type="checkbox"],
.k-rtl .k-edit-field > .k-button:first-child { margin-right: 0; }

.k-rtl .k-edit-form-container .k-edit-buttons { text-align: left; }

.k-rtl .k-dirty {
    border-color: #f00 #f00 transparent transparent;
    margin: -0.45em -0.6em 0 0;
}

/* Pager */

.k-rtl .k-pager-info,
.k-rtl .k-pager-wrap .k-pager-refresh { float: left; }

.k-rtl .k-pager-wrap > .k-link,
.k-rtl .k-pager-wrap .k-pager-numbers,
.k-rtl .k-pager-numbers li,
.k-rtl .k-pager-input { float: right; }

/* Gantt*/

.k-rtl .k-gantt .k-grid-header .k-header { text-align: center; }

.k-rtl .k-gantt-actions {
    float: right;
    margin-left: .6em;
    margin-right: 0;
}

.k-rtl .k-gantt-toolbar > .k-gantt-views {
    float: left;
    margin-left: 0;
}

.k-rtl .k-grid tbody td:last-child,
.k-rtl .k-grid thead th:last-child { border-left-width: 0; }

.k-rtl .k-timeline .k-grid-header-wrap { border-left-width: 1px; }

.k-rtl .k-gantt-toolbar li:last-child,
.k-rtl .k-gantt-toolbar li:last-child > .k-link {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: inherit;
    border-top-left-radius: 4px;
    border-top-right-radius: inherit;
}

.k-rtl .k-gantt-toolbar li:last-child { border-left-width: 1px; }

.k-rtl .k-gantt-toolbar li:first-child { border-left-width: 0; }

.k-rtl .k-gantt-toolbar li:first-child,
.k-rtl .k-gantt-toolbar li:first-child > .k-link {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: 4px;
    border-top-left-radius: inherit;
    border-top-right-radius: 4px;
}

.k-rtl .k-gantt-rows,
.k-rtl .k-gantt-columns,
.k-rtl .k-gantt-dependencies {
    left: auto;
    right: 0;
}

.k-rtl .k-task-complete {
    left: auto;
    right: 0;
}

.k-rtl .k-task-template { padding: .2em .6em .2em 1.4em; }

.k-rtl .k-task-single { text-align: right; }

.k-rtl .k-task-actions {
    left: 4px;
    right: auto;
}

.k-rtl .k-task-draghandle { margin-right: 16px; }

.k-rtl .k-task-dot:after {
    margin-left: 0;
    margin-right: 4px;
}

.k-rtl .k-task-start {
    left: auto;
    right: 0;
}

.k-rtl .k-task-end {
    left: 0;
    right: auto;
}

.k-rtl .k-resources-wrap {
    margin-left: 0;
    margin-right: 20px;
}

/* Menu */

.k-rtl .k-menu .k-item,
.k-rtl .k-widget.k-menu-horizontal > .k-item { border-width: 0 0 0 1px; }

.k-rtl .k-widget.k-menu-horizontal > .k-item { float: right; }

.k-rtl .k-menu .k-item > .k-link > .k-i-arrow-s {
    margin-left: -8px;
    margin-right: 0;
}

.k-rtl .k-menu .k-item > .k-link > .k-i-arrow-e {
    left: .2rem;
    right: auto;
}

.k-rtl .k-menu .k-group .k-item > .k-link {
    padding-left: 1.8em;
    padding-right: .9em;
}

.k-rtl .k-menu .k-link > .k-i-arrow-e { background-position: 0 -48px; }

.k-rtl .k-menu .k-link > .k-i-arrow-w { background-position: 0 -16px; }

.k-rtl .k-menu .k-image,
.k-rtl .k-menu .k-sprite {
    margin-left: 4px;
    margin-right: -4px;
}

/* Multiselect */

.k-rtl .k-multiselect-wrap .k-input { float: right; }

.k-rtl .k-multiselect-wrap li {
    float: right;
    padding-left: .15em;
    padding-right: .4em;
}

/* Notification */

.k-rtl .k-notification-button .k-notification-wrap,
.k-rtl.k-notification-button .k-notification-wrap {
    padding-left: 20px;
    padding-right: .5em;
}

.k-rtl .k-notification-wrap > .k-i-note {
    margin-left: 4px;
    margin-right: 0;
}

.k-rtl .k-notification-wrap > .k-i-close {
    left: 4px;
    right: auto;
}

/* PanelBar */

.k-rtl .k-panelbar-expand,
.k-rtl .k-panelbar-collapse {
    left: 2px;
    right: auto;
}

.k-rtl .k-panelbar .k-image,
.k-rtl .k-panelbar .k-sprite {
    float: right;
    margin-left: 5px;
    margin-right: 0;
}

/* Progressbar */

.k-rtl .k-progressbar > .k-reset {
    left: auto;
    right: -1px;
}

.k-rtl .k-progressbar-horizontal li.k-last { border-left-width: 0; }

/* Scheduler */

.k-rtl .k-scheduler-toolbar > ul { float: left; }

.k-rtl .k-scheduler-toolbar > ul:first-child { float: right; }

.k-rtl .k-scheduler-toolbar > ul > li,
.k-rtl .k-scheduler-footer > ul > li { border-width: 1px 0 1px 1px; }

.k-rtl .k-scheduler-toolbar > ul > li:first-child { border-right-width: 1px; }

.k-rtl .k-scheduler div.k-scheduler-footer ul li {
    margin-left: .6em;
    margin-right: 0;
}

.k-rtl .k-scheduler-toolbar .k-i-calendar,
.k-rtl .k-scheduler-footer .k-icon {
    margin-left: 6px;
    margin-right: 0;
}

.k-rtl .k-scheduler .k-scrollbar-v .k-scheduler-header-wrap {
    border-left-width: 1px;
    border-right-width: 0;
}

.k-rtl .k-scheduler-monthview .k-scheduler-table td { text-align: left; }

.k-rtl .k-scheduler-table td,
.k-rtl .k-scheduler-header th {
    border-left-width: 0;
    border-right-width: 1px;
}

.k-rtl .k-scheduler-table td:first-child,
.k-rtl .k-scheduler-header th:first-child { border-right-width: 0; }

.k-rtl .k-scheduler-agendaview .k-scheduler-table td:first-child {
    border-left-width: 0;
    border-right-width: 1px;
}

.k-rtl .k-scheduler-agendaview .k-scheduler-table td.k-scheduler-datecolumn { border-right-width: 0; }

.k-rtl .k-scheduler-times th {
    border-left-width: 1px;
    border-right-width: 0;
    padding-left: .6em;
    padding-right: .5em;
    text-align: left;
}

.k-rtl .k-scheduler-now-arrow {
    left: auto;
    right: 0;
}

.k-rtl .k-scheduler-now-line {
    left: 0;
    right: 5px;
}

.k-rtl .k-event,
.k-rtl .k-more-events { text-align: right; }

.k-rtl .k-event-template {
    padding-left: 1.4em;
    padding-right: .6em;
}

.k-rtl .k-event-actions,
.k-rtl .k-event > .k-link,
.k-rtl .k-task > .k-link {
    left: 4px;
    right: auto;
}

.k-rtl .k-scheduler-agendaview .k-task > .k-link {
    left: 0;
    right: auto;
}

.k-rtl .k-event-actions:first-child {
    float: right;
    margin-left: 2px;
    margin-right: 4px;
}

.k-rtl .k-event .k-event-top-actions,
.k-rtl .k-event .k-event-bottom-actions {
    left: auto;
    right: 0;
}

.k-rtl .k-event > .k-resize-e {
    left: 0;
    right: auto;
}

.k-rtl .k-event > .k-resize-w {
    left: auto;
    right: 0;
}

.k-rtl .k-event > .k-resize-e:after,
.k-rtl .k-event > .k-resize-w:after {
    left: auto;
    right: 1px;
}

.k-rtl .k-event > .k-resize-e:after {
    left: 1px;
    right: auto;
}

.k-rtl .k-scheduler-marquee .k-label-top {
    left: auto;
    right: .8em;
}

.k-rtl .k-scheduler-marquee .k-label-bottom {
    left: .81em;
    right: auto;
}

.k-rtl .k-tooltip-bottom { text-align: right; }

.k-rtl .k-tooltip-bottom .k-button {
    float: right;
    margin-left: .3em;
    margin-right: 0;
}

.k-rtl .k-tooltip-bottom .k-quickedit-details {
    float: left;
    margin-left: 0;
}

.k-rtl .k-scheduler-agendaview .k-scheduler-table th,
.k-rtl .k-scheduler-agendaview .k-scheduler-table td { text-align: right; }

.k-rtl .k-scheduler-timecolumn > div > .k-i-arrow-e {
    left: -4px;
    right: auto;
}

.k-rtl .k-scheduler-timecolumn .k-i-arrow-w {
    margin-left: 0;
    margin-right: -4px;
}

.k-rtl .k-scheduler-mark {
    margin-left: .5em;
    margin-right: 0;
}

.k-rtl .k-scheduler-agendaday {
    float: right;
    margin: 0 0 0 .2em;
}

.k-rtl .k-scheduler-edit-form > .k-edit-box:first-child .k-datetimepicker {
    margin-left: 1em;
    margin-right: 0;
}

.k-rtl .k-edit-box { float: right; }

.k-rtl .k-edit-box + .k-edit-box { float: left; }

.k-rtl .k-scheduler-edit-form label + input {
    margin-left: 0;
    margin-right: 1em;
}

.k-rtl .k-edit-buttons .k-scheduler-delete {
    left: auto;
    right: .6em;
}

/* Slider */

.k-rtl .k-slider .k-button-decrease {
    left: auto;
    right: 0;
}

.k-rtl .k-slider .k-button-increase {
    left: 0;
    right: auto;
}

.k-rtl .k-slider-horizontal .k-slider-track,
.k-rtl .k-slider-horizontal .k-slider-selection {
    left: auto;
    right: 0;
}

.k-rtl .k-slider-horizontal .k-slider-buttons .k-slider-track {
    left: auto;
    right: 34px;
}

.k-rtl .k-slider .k-i-arrow-w { background-position: 0 -16px; }

.k-rtl .k-slider .k-state-hover .k-i-arrow-w,
.k-rtl .k-slider .k-button:hover .k-i-arrow-w,
.k-rtl .k-slider .k-textbox:hover .k-i-arrow-w,
.k-rtl .k-slider .k-button:active .k-i-arrow-w { background-position: -16px -16px; }

.k-rtl .k-slider .k-i-arrow-e { background-position: 0 -48px; }

.k-rtl .k-slider .k-state-hover .k-i-arrow-e,
.k-rtl .k-slider .k-button:hover .k-i-arrow-e,
.k-rtl .k-slider .k-button:active .k-i-arrow-e,
.k-rtl .k-slider .k-button:active .k-i-arrow-e { background-position: -16px -48px; }

/* TabStrip */

.k-rtl .k-tabstrip-items .k-item,
.k-rtl .k-panelbar .k-tabstrip-items .k-item {
    margin-left: -1px;
    margin-right: 0;
}

.k-rtl .k-tabstrip-items .k-item .k-image,
.k-rtl .k-tabstrip-items .k-item .k-sprite,
.k-rtl .k-panelbar .k-tabstrip-items .k-item .k-image,
.k-rtl .k-panelbar .k-tabstrip-items .k-item .k-sprite { margin: -3px -6px 0 3px; }

.k-rtl .k-tabstrip-prev {
    left: auto;
    right: .4em;
}

.k-rtl .k-tabstrip-next {
    left: .4em;
    right: auto;
}

/* ToolBar */

.k-rtl .k-overflow-anchor {
    border-width: 0 1px 0 0;
    float: left;
}

.k-rtl .k-toolbar .k-button-group .k-button,
.k-rtl .k-toolbar .k-split-button .k-split-button-arrow { margin: 0 -1px 0 0; }

.k-rtl.k-overflow-container .k-overflow-button,
.k-rtl .k-split-container .k-button { text-align: right; }

/* ToolTip */

.k-rtl .k-tooltip-button { text-align: left; }

.k-rtl .k-tooltip-closable .k-tooltip-content {
    padding-left: 20px;
    padding-right: 0;
}

/* TreeView */

.k-rtl .k-treeview .k-item { padding: 0 16px 0 0; }

.k-rtl .k-treeview .k-plus,
.k-rtl .k-treeview .k-minus,
.k-rtl .k-treeview .k-plus-disabled,
.k-rtl .k-treeview .k-minus-disabled {
    float: right;
    margin-left: 0;
    margin-right: -16px;
}

.k-rtl .k-treeview .k-sprite,
.k-rtl .k-treeview .k-image {
    margin-left: 3px;
    margin-right: 0;
}

/* Upload */

.k-rtl .k-dropzone em {
    margin-left: 0;
    margin-right: .6em;
}

.k-rtl .k-upload-files .k-button,
.k-rtl .k-upload-status-total .k-icon {
    margin-left: 0;
    margin-right: 8px;
}

.k-rtl .k-file {
    padding-left: .167em;
    padding-right: .8em;
}

.k-rtl .k-filename {
    margin-left: 0;
    margin-right: 1em;
}

.k-rtl .k-upload-status {
    left: 12px;
    right: auto;
}

.k-rtl .k-progress {
    left: auto;
    right: 0;
}

.k-rtl .k-upload-selected {
    margin-left: .2em;
    margin-right: .8em;
}

/* Window */

.k-rtl .k-window-titlebar .k-window-actions {
    left: .5em;
    right: auto;
}